## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbFetchProfileElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbFetchProfileElement

    public class JaxbFetchProfileElement

extends Object

Java class for fetch-profile-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="fetch-profile-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="fetch" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <attribute name="association" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="entity" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="style" default="join">
                       <simpleType>
                         <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                           <enumeration value="join"/>
                           <enumeration value="select"/>
                         </restriction>
                       </simpleType>
                     </attribute>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` `JaxbFetchProfileElement.JaxbFetch` Java class for anonymous complex type.

Field Summary
`protected List<JaxbFetchProfileElement.JaxbFetch>` `fetch`
`protected String` `name`

Constructor Summary
`JaxbFetchProfileElement()`

Method Summary
`List<JaxbFetchProfileElement.JaxbFetch>` `getFetch()` Gets the value of the fetch property.
`String` `getName()` Gets the value of the name property.
`void` `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fetch

    protected List<JaxbFetchProfileElement.JaxbFetch> fetch

### name

    protected String name

Constructor Detail

### JaxbFetchProfileElement

    public JaxbFetchProfileElement()

Method Detail

### getFetch

    public List<JaxbFetchProfileElement.JaxbFetch> getFetch()

  Gets the value of the fetch property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fetch property.

  For example, to add a new item, do as follows:

          getFetch().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbFetchProfileElement.JaxbFetch`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.